Community
Civil 3D Customization
Welcome to Autodesk’s AutoCAD Civil 3D Forums. Share your knowledge, ask questions, and explore popular AutoCAD Civil 3D Customization topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Lisp Routine for setting The pipe network catalog

21 REPLIES 21
SOLVED
Reply
Message 1 of 22
ChilesConsulting
5835 Views, 21 Replies

Lisp Routine for setting The pipe network catalog

Can some take a look at this for me and tell me what I am doing wrong.

 

;;** Sets the Path for Pipes **
(setq pipecatpath1 (vla-registry-read "HKEY_CURRENT_USER\\Software\\Autodesk\\AutoCAD\\R19.1\\ACAD-D000:409\\Profiles\\<<C3D_Imperial>>\\Preferences\\AeccUiNetwork100\\16C49365-B844-484b-92CE-9A8ACE681B57))
(if (/= pipecatpath1 "C:\\ProgramData\\Autodesk\\C3D 2014\\enu\\Pipes Catalog\\US Imperial Pipes\\US Imperial Pipes.apc")
(vla-registry-write "HKEY_CURRENT_USER\\Software\\Autodesk\\AutoCAD\\R19.1\\ACAD-D000:409\\Profiles\\<<C3D_Imperial>>\\Preferences\\AeccUiNetwork100\\16C49365-B844-484b-92CE-9A8ACE681B57"
"pipecatpath1" "L:\\Resource Library\\Cad\STANDARDS\\Civ\\Pipes_Catalog\\US Imperial Pipes\\US Imperial Pipes.apc")

 

;;** Sets the Path for Structures **
(setq pipecatpath2 (vl-registry-read "HKEY_CURRENT_USER\\Software\\Autodesk\\AutoCAD\\R19.1\\ACAD-D000:409\\Profiles\\<<C3D_Imperial>>\\Preferences\\AeccUiNetwork100\\DCE203A2-D381-466f-A23E-08A9D9F8FDBD))
(if (/= pipecatpath2 "C:\\ProgramData\\Autodesk\\C3D 2014\\enu\\Pipes Catalog\\US Imperial Pipes\\US Imperial Structures.apc")
(vl-registry-write "HKEY_CURRENT_USER\\Software\\Autodesk\\AutoCAD\\R19.1\\ACAD-D000:409\\Profiles\\<<C3D_Imperial>>\\Preferences\\AeccUiNetwork100\\DCE203A2-D381-466f-A23E-08A9D9F8FDBD"
"pipecatpath2" "L:\\Resource Library\\Cad\STANDARDS\\Civ\\Pipes_Catalog\\US Imperial Pipes\\US Imperial Structures.apc")

21 REPLIES 21
Message 2 of 22
Jeff_M
in reply to: ChilesConsulting

What makes you think you are doing something wrong? If it's that you don't see the result immediately, it's likely because C3D doesn't reread the paths automatically. It's been a few years since I looked into this, but I think I recall that since you don't edit the paths in memory, when you exit C3D whatever your lisp changes it to gets overwritten with what is in memory. So you are fighting a losing battle....I could be wrong, though.
Jeff_M, also a frequent Swamper
EESignature
Message 3 of 22
tyronebk
in reply to: Jeff_M

Jeff, the changes will be made in the registry but will not be observable until C3D is restarted or maybe if the profile is reloaded (I haven't confirmed this). C3D only appears to overwrite the values if you set the catalogs via the UI before restarting C3D.

Message 4 of 22
ChilesConsulting
in reply to: tyronebk

When I put that code in acad2104.lsp, it basically doesn't do anything even after closing and reopening Civil 3d.  I can change the paths to anything and no changes.  I even check the registry to see if it changes there and it does not update.  So really I am wondering if there is something wrong with the code itself?

 

Jeff is there a way that you know of, some trigger to get it to look at the paths again?  I think I saw something like this for hiding printer paths, something like this (vla-refreshplotdeviceinfo #Layout)

 

-M

Message 5 of 22
Jeff_M
in reply to: ChilesConsulting

McJudge, sorry I didn't look closer at your code the other day. There are definitely some typos and incorrect usage of the vl-registry-* functions. This should help with that:

(setq netprefpath (strcat "HKEY_CURRENT_USER\\"
			  (if vlax-user-product-key (vlax-user-product-key) (vlax-product-key) )
			  "\\Profiles\\<<C3D_Imperial>>\\Preferences\\AeccUiNetwork100\\"))
(setq pipecatpath1 (vl-registry-read netprefpath "16C49365-B844-484b-92CE-9A8ACE681B57")
(if (/= pipecatpath1 "C:\\ProgramData\\Autodesk\\C3D 2014\\enu\\Pipes Catalog\\US Imperial Pipes\\US Imperial Pipes.apc")
(vl-registry-write netprefpath "16C49365-B844-484b-92CE-9A8ACE681B57"
  "L:\\Resource Library\\Cad\STANDARDS\\Civ\\Pipes_Catalog\\US Imperial Pipes\\US Imperial Pipes.apc")

 

I do seem to recall seeing a post about reinitializing C3D so it will read the new registry values, but I'm drawing a blank as to how to do so.

 

@tyronebk Thanks for clarifying that. It's been so long since I've tried doing any of this my mind was a bit foggy on it.

Jeff_M, also a frequent Swamper
EESignature
Message 6 of 22
Jeff_M
in reply to: ChilesConsulting

Also, do not put anything into the acad20XX.lsp file. Instead, create your own acad.lsp file, put all of your custom code that runs at session startup in there. Put in your own customization folder and add that folder to Autocad's Support path. That way you edits will not be wiped out when you apply a Service Pack or need to uninstall. Plus, when you move to the next version, all you need do is add the Support Path to the new install.
Jeff_M, also a frequent Swamper
EESignature
Message 7 of 22
ChilesConsulting
in reply to: Jeff_M

Thanks for looking at that code will load it here tonight before I leave to see if it works.  The next objective for different offices is to do a bootstrap, (i.e) Load network Acad2014.lsp, that @tyronebk had mentioned in a previous post, so that it loads up the correct paths for each office depending on where you plug in.  That is more of an IT thing, but I am fairly sure it can be accomplished.

Message 8 of 22
tyronebk
in reply to: ChilesConsulting

This is a stripped down version of the routine I use to set the pipe network settings. Maybe it will be useful to someone. Note that the pressure pipes don't always like being changed on all machines as the networks will sometimes misbehave. It is not really specific to this routine as setting the catalog through the interface sees the same result.

(defun C3DSettings( / r y c path regCurPrf key gp pp SetNetwork )
	(defun SetNetwork( k v d gp / p )
		(setq p (strcat gp d) )
		(if (/= (strcase p) (strcase (vl-registry-read key v) ) )
			(progn
				(vl-registry-write key v p)
				(princ (strcat "\nPipe Network setting " v " changed to " p "\n") )
			)
		)
	)
	(setq r (getvar "ACADVER") )
	(cond
		( (vl-string-search "19.0" r) (setq y "13" c "100") )
		( (vl-string-search "19.1" r) (setq y "14" c "100") )
		( (vl-string-search "20.0" r) (setq y "15" c "100") )
		( (vl-string-search "20.1" r) (progn (setq y "16" c "1XX") (alert "This version of AutoCAD not supported.") ) )
		(T (setq y "12" c "90") )
	)
	(setq path (strcat (getenv "public") "\\Company\\Civil 3D\\20" y "\\") )
	(setq gp (strcat path "Pipes Catalog\\") )
	(setq regCurPrf (strcat "HKEY_CURRENT_USER\\" (vlax-product-key) "\\Profiles\\" (getvar 'cprofile) "\\") )
	(setq key (strcat regCurPrf "Preferences\\AeccUiNetwork" c) )
	(SetNetwork key "SharedContentPath" "Aecc Shared Content\\" gp)
	(SetNetwork key "DCE203A2-D381-466f-A23E-08A9D9F8FDBD" "US Imperial Structures\\US Imperial Structures.apc" gp)
	(SetNetwork key "16C49365-B844-484b-92CE-9A8ACE681B57" "US Imperial Pipes\\US Imperial Pipes.apc" gp)
	(SetNetwork key "F1FEBE2D-D589-4f85-BF8E-650ED06A5EA5" "Metric Structures\\Metric Structures.apc" gp)
	(SetNetwork key "F670B5B9-DA12-476d-B461-4FB5C5650A82" "Metric Pipes\\Metric Pipes.apc" gp)	
	(if (/= c "90")
		(progn
			(setq pp (strcat path "Pressure Pipes Catalog\\") )
			(setq key (strcat regCurPrf "Preferences\\AeccPressurePipes" c) )
			(SetNetwork key "ADD6EA33-AED3-4EBF-B382-D99688E5BC72" "Metric\\Metric_AWWA_PushOn.sqlite" pp)
			(SetNetwork key "611746E2-B19E-4F8E-ACF7-F12491879819" "Imperial\\Imperial_AWWA_PushOn.sqlite" pp)
		)
	)
	(princ)
)

 

Message 9 of 22
ChilesConsulting
in reply to: Jeff_M

I believe there is still something wrong.  I am getting a "AutoCAD menu utilities loaded.; error: malformed list on input" in my command line on load when I use it.  I copied the lisp directly is there something I need to be editiing per our machine or environment?  I am sorry I don't have a huge understanding of the lisp language.  Thank you Jeff.

Message 10 of 22

I have a lisp routine that changes Pipe Network Catalogs and works well.

 

Feel free to modify as you need.

 

 

Here is the code below:

 

;;;===================================Aecc Shared Content path=============================================

(defun SetAeccSharedContentPath (v)
  (vl-load-com)
  (vl-registry-write
    (strcat
      "HKEY_CURRENT_USER\\"
      (vlax-product-key)
      "\\Profiles\\"
      (vla-get-activeprofile
	(vla-get-profiles
	  (vla-get-preferences (vlax-get-acad-object))
	)
      )
      "\\Preferences\\AeccUiNetwork100" ;;****AeccUiNetwork100**** could change in future versions
    )
    "SharedContentPath"
    v
  )
);defun

;;;=========================================================================================================

;;;===================================US Imperial Pipes=====================================================

(defun SetUSImperialPipes (v)
  (vl-load-com)
  (vl-registry-write
    (strcat
      "HKEY_CURRENT_USER\\"
      (vlax-product-key)
      "\\Profiles\\"
      (vla-get-activeprofile
	(vla-get-profiles
	  (vla-get-preferences (vlax-get-acad-object))
	)
      )
      "\\Preferences\\AeccUiNetwork100" ;;****AeccUiNetwork100**** could change in future versions
    )
    "16C49365-B844-484b-92CE-9A8ACE681B57" ;;This guid code could change in future versions
    v
  )
);defun

;;;=========================================================================================================

;;;===================================US Imperial Structures================================================

(defun SetUSImperialStructures (v)
  (vl-load-com)
  (vl-registry-write
    (strcat
      "HKEY_CURRENT_USER\\"
      (vlax-product-key)
      "\\Profiles\\"
      (vla-get-activeprofile
	(vla-get-profiles
	  (vla-get-preferences (vlax-get-acad-object))
	)
      )
      "\\Preferences\\AeccUiNetwork100" ;;****AeccUiNetwork100**** could change in future versions
    )
    "DCE203A2-D381-466f-A23E-08A9D9F8FDBD" ;;This guid code could change in future versions
    v
  )
);defun

;;;=========================================================================================================

;;;===================================Metric Pipes=====================================================

(defun SetMetricPipes (v)
  (vl-load-com)
  (vl-registry-write
    (strcat
      "HKEY_CURRENT_USER\\"
      (vlax-product-key)
      "\\Profiles\\"
      (vla-get-activeprofile
	(vla-get-profiles
	  (vla-get-preferences (vlax-get-acad-object))
	)
      )
      "\\Preferences\\AeccUiNetwork100" ;;****AeccUiNetwork100**** could change in future versions
    )
    "F670B5B9-DA12-476d-B461-4FB5C5650A82" ;;This guid code could change in future versions
    v
  )
);defun

;;;=========================================================================================================

;;;===================================Metric Structures================================================

(defun SetMetricStructures (v)
  (vl-load-com)
  (vl-registry-write
    (strcat
      "HKEY_CURRENT_USER\\"
      (vlax-product-key)
      "\\Profiles\\"
      (vla-get-activeprofile
	(vla-get-profiles
	  (vla-get-preferences (vlax-get-acad-object))
	)
      )
      "\\Preferences\\AeccUiNetwork100" ;;****AeccUiNetwork100**** could change in future versions
    )
    "F1FEBE2D-D589-4f85-BF8E-650ED06A5EA5" ;;This guid code could change in future versions
    v
  )
);defun

;;;=========================================================================================================

;;;===================================AUTO RUN THE SETTINGS PIPES=================================
(SetAeccSharedContentPath "C:\\My\\Catalog\\Location\\Pipes Catalog\\Aecc Shared Content")
(SetUSImperialPipes "C:\\My\\Catalog\\Location\\Pipes Catalog\\US Imperial Pipes\\US Imperial Pipes.apc")
(SetUSImperialStructures "C:\\My\\Catalog\\Location\\Pipes Catalog\\US Imperial Structures\\US Imperial Structures.apc")
(SetMetricPipes "C:\\My\\Catalog\\Location\\Pipes Catalog\\Metric Pipes\\Metric Pipes.apc")
(SetMetricStructures "C:\\My\\Catalog\\Location\\Pipes Catalog\\Metric Structures\\Metric Structures.apc")
(princ "\nPipe Catalog is set... \n")
(princ)
;;;=========================================================================================================

 



Steve Hill
Civil Designer / .NET Developer
AutoCAD Certified Professional
AutoCAD Civil 3D Certified Professional
http://redtransitconsultants.com/
Autodesk Exchange Store
Twitter | LinkedIn



Please select the Accept this solution button if my post solves your issue or answers your question.

Message 11 of 22
toddnoch
in reply to: ChilesConsulting

Does anyone know how to reinitialize C3D, like Jeff mentioned? The last lisp does a great job of changing the values. It sets the Catalog Folder, however it doesn't set the Pipe of Structure Catalog. If I exit and restart the application it's set, but not while in the same session after using the lisp. It seems that some kind of reinitializing is required.

Todd Nochomson
CAD Manager
Chen Moore
www.chenmoore.com
Message 12 of 22
rkmcswain
in reply to: toddnoch

tnochomson wrote:

Does anyone know how to reinitialize C3D, like Jeff mentioned? The last lisp does a great job of changing the values. It sets the Catalog Folder, however it doesn't set the Pipe of Structure Catalog. If I exit and restart the application it's set, but not while in the same session after using the lisp. It seems that some kind of reinitializing is required.

I'm testing this in my "acad.lsp" and it seems to be working okay, without another restart.

R.K. McSwain     | CADpanacea | on twitter
Message 13 of 22

Next question.

 

What determines the "current" pipe catalog and structure catalog?

The registry lists Imperial and Metric, but what makes one or the other the 'current' drop-down choice in the dialog?

 

pncd.PNG

 

 

 

 

 

R.K. McSwain     | CADpanacea | on twitter
Message 14 of 22

A little "I Robot" quote "that is the right question".  For that reason I actually stopped using this lisp because I never could get it to pick the right one.  Thinking back on it now (revelation while typing)  we only use 1 catalog for pipes and 1 catalog for structures.  Duh just delete the others, the program can't get it wrong then. 

Message 15 of 22
C3DJAKE
in reply to: ChilesConsulting

Has anyone made headway on this?

I only have imperial pipes and imperial structures available, but by default the structures drop down is blank. I have to select it manually after running the Lisp. Oddly, Imperial Pipes populates itself by default, but Structures does not.

 

Message 16 of 22

What version are you using @C3DJAKE? The code I posted seems to work fine for me...

 

With one caveat I encountered in 2017... Autodesk changed the AeccUiNetwork100 to AeccUiNetwork110 in 2017. So for Pipes, I added an additional sub for both pipe and structures similar to what's posted below. Then call these subs based on the product version that calls this lisp routine into action...

 

(defun SetUSImperialPipes (v)
  (vl-load-com)
  (vl-registry-write
    (strcat
      "HKEY_CURRENT_USER\\"
      (vlax-product-key)
      "\\Profiles\\"
      (vla-get-activeprofile
	(vla-get-profiles
	  (vla-get-preferences (vlax-get-acad-object))
	)
      )
      "\\Preferences\\AeccUiNetwork100" ;;****AeccUiNetwork100**** could change in future versions
    )
    "16C49365-B844-484b-92CE-9A8ACE681B57" ;;This guid code could change in future versions
    v
  )
);defun

(defun SetUSImperialPipes2017 (v)
  (vl-load-com)
  (vl-registry-write
    (strcat
      "HKEY_CURRENT_USER\\"
      (vlax-product-key)
      "\\Profiles\\"
      (vla-get-activeprofile
	(vla-get-profiles
	  (vla-get-preferences (vlax-get-acad-object))
	)
      )
      "\\Preferences\\AeccUiNetwork110" ;;****AeccUiNetwork110**** could change in future versions
    )
    "16C49365-B844-484b-92CE-9A8ACE681B57" ;;This guid code could change in future versions
    v
  )
);defun

 

Steve



Steve Hill
Civil Designer / .NET Developer
AutoCAD Certified Professional
AutoCAD Civil 3D Certified Professional
http://redtransitconsultants.com/
Autodesk Exchange Store
Twitter | LinkedIn



Please select the Accept this solution button if my post solves your issue or answers your question.

Message 17 of 22

Civil 3D 2017.

Here is the routine I was using with which I was having a problem. I had updated the AeccUiNetwork110 and double-checked the guids.

 

On a whim I fully commented out the Metric sections, and everything worked as needed, though I'm not sure why.

Thanks for the mental nudge.

 

This one caused the problem:

;;;===================================Aecc Shared Content path=============================================

(defun SetAeccSharedContentPath (v)
  (vl-load-com)
  (vl-registry-write
    (strcat
      "HKEY_CURRENT_USER\\"
      (vlax-product-key)
      "\\Profiles\\"
      (vla-get-activeprofile
	(vla-get-profiles
	  (vla-get-preferences (vlax-get-acad-object))
	)
      )
      "\\Preferences\\AeccUiNetwork110" ;;****AeccUiNetwork110**** could change in future versions
    )
    "SharedContentPath"
    v
  )
);defun

;;;=========================================================================================================

;;;===================================US Imperial Pipes=====================================================

(defun SetUSImperialPipes (v)
  (vl-load-com)
  (vl-registry-write
    (strcat
      "HKEY_CURRENT_USER\\"
      (vlax-product-key)
      "\\Profiles\\"
      (vla-get-activeprofile
	(vla-get-profiles
	  (vla-get-preferences (vlax-get-acad-object))
	)
      )
      "\\Preferences\\AeccUiNetwork110" ;;****AeccUiNetwork110**** could change in future versions
    )
    "16C49365-B844-484b-92CE-9A8ACE681B57" ;;This guid code could change in future versions
    v
  )
);defun

;;;=========================================================================================================

;;;===================================US Imperial Structures================================================

(defun SetUSImperialStructures (v)
  (vl-load-com)
  (vl-registry-write
    (strcat
      "HKEY_CURRENT_USER\\"
      (vlax-product-key)
      "\\Profiles\\"
      (vla-get-activeprofile
	(vla-get-profiles
	  (vla-get-preferences (vlax-get-acad-object))
	)
      )
      "\\Preferences\\AeccUiNetwork110" ;;****AeccUiNetwork110**** could change in future versions
    )
    "DCE203A2-D381-466f-A23E-08A9D9F8FDBD" ;;This guid code could change in future versions
    v
  )
);defun

;;;=========================================================================================================

;;;===================================Metric Pipes=====================================================

(defun SetMetricPipes (v)
  (vl-load-com)
  (vl-registry-write
    (strcat
      "HKEY_CURRENT_USER\\"
      (vlax-product-key)
      "\\Profiles\\"
      (vla-get-activeprofile
	(vla-get-profiles
	  (vla-get-preferences (vlax-get-acad-object))
	)
      )
      "\\Preferences\\AeccUiNetwork110" ;;****AeccUiNetwork110**** could change in future versions
    )
    "F670B5B9-DA12-476d-B461-4FB5C5650A82" ;;This guid code could change in future versions
    v
  )
);defun

;;;=========================================================================================================

;;;===================================Metric Structures================================================

(defun SetMetricStructures (v)
  (vl-load-com)
  (vl-registry-write
    (strcat
      "HKEY_CURRENT_USER\\"
      (vlax-product-key)
      "\\Profiles\\"
      (vla-get-activeprofile
	(vla-get-profiles
	  (vla-get-preferences (vlax-get-acad-object))
	)
      )
      "\\Preferences\\AeccUiNetwork110" ;;****AeccUiNetwork110**** could change in future versions
    )
    "F1FEBE2D-D589-4f85-BF8E-650ED06A5EA5" ;;This guid code could change in future versions
    v
  )
);defun

;;;=========================================================================================================

;;;===================================AUTO RUN THE SETTINGS PIPES=================================
(SetAeccSharedContentPath "F:\\_CADD\\ACAD_SAVE\\GT PIPE CATALOG\\Pipes Catalog\\Aecc Shared Content")
(SetUSImperialPipes "F:\\_CADD\\ACAD_SAVE\\GT PIPE CATALOG\\Pipes Catalog\\US Imperial Pipes\\US Imperial Pipes.apc")
(SetUSImperialStructures "F:\\_CADD\\ACAD_SAVE\\GT PIPE CATALOG\\Pipes Catalog\\US Imperial Structures\\US Imperial Structures.apc")
;(SetMetricPipes "F:\\_CADD\\ACAD_SAVE\\GT PIPE CATALOG\\Pipes Catalog\\US Imperial Pipes\\US Imperial Pipes.apc")
;(SetMetricStructures "F:\\_CADD\\ACAD_SAVE\\GT PIPE CATALOG\\Pipes Catalog\\US Imperial Structures\\US Imperial Structures.apc")
(princ "\nPipe Catalog is set... \n")
(princ)
;;;=========================================================================================================

This one worked correctly and populated the drop down, though I'm not sure why exactly it made a difference:

 

;;;===================================Aecc Shared Content path=============================================

(defun SetAeccSharedContentPath (v)
  (vl-load-com)
  (vl-registry-write
    (strcat
      "HKEY_CURRENT_USER\\"
      (vlax-product-key)
      "\\Profiles\\"
      (vla-get-activeprofile
	(vla-get-profiles
	  (vla-get-preferences (vlax-get-acad-object))
	)
      )
      "\\Preferences\\AeccUiNetwork110" ;;****AeccUiNetwork110**** could change in future versions
    )
    "SharedContentPath"
    v
  )
);defun

;;;=========================================================================================================

;;;===================================US Imperial Pipes=====================================================

(defun SetUSImperialPipes (v)
  (vl-load-com)
  (vl-registry-write
    (strcat
      "HKEY_CURRENT_USER\\"
      (vlax-product-key)
      "\\Profiles\\"
      (vla-get-activeprofile
	(vla-get-profiles
	  (vla-get-preferences (vlax-get-acad-object))
	)
      )
      "\\Preferences\\AeccUiNetwork110" ;;****AeccUiNetwork110**** could change in future versions
    )
    "16C49365-B844-484b-92CE-9A8ACE681B57" ;;This guid code could change in future versions
    v
  )
);defun

;;;=========================================================================================================

;;;===================================US Imperial Structures================================================

(defun SetUSImperialStructures (v)
  (vl-load-com)
  (vl-registry-write
    (strcat
      "HKEY_CURRENT_USER\\"
      (vlax-product-key)
      "\\Profiles\\"
      (vla-get-activeprofile
	(vla-get-profiles
	  (vla-get-preferences (vlax-get-acad-object))
	)
      )
      "\\Preferences\\AeccUiNetwork110" ;;****AeccUiNetwork110**** could change in future versions
    )
    "DCE203A2-D381-466f-A23E-08A9D9F8FDBD" ;;This guid code could change in future versions
    v
  )
);defun

;;;=========================================================================================================

;;;===================================Metric Pipes=====================================================

; (defun SetMetricPipes (v)
  ; (vl-load-com)
  ; (vl-registry-write
    ; (strcat
      ; "HKEY_CURRENT_USER\\"
      ; (vlax-product-key)
      ; "\\Profiles\\"
      ; (vla-get-activeprofile
	; (vla-get-profiles
	  ; (vla-get-preferences (vlax-get-acad-object))
	; )
      ; )
      ; "\\Preferences\\AeccUiNetwork110" ;;****AeccUiNetwork110**** could change in future versions
    ; )
    ; "F670B5B9-DA12-476d-B461-4FB5C5650A82" ;;This guid code could change in future versions
    ; v
  ; )
;);defun

;;;=========================================================================================================

;;;===================================Metric Structures================================================

; (defun SetMetricStructures (v)
  ; (vl-load-com)
  ; (vl-registry-write
    ; (strcat
      ; "HKEY_CURRENT_USER\\"
      ; (vlax-product-key)
      ; "\\Profiles\\"
      ; (vla-get-activeprofile
	; (vla-get-profiles
	  ; (vla-get-preferences (vlax-get-acad-object))
	; )
      ; )
      ; "\\Preferences\\AeccUiNetwork110" ;;****AeccUiNetwork110**** could change in future versions
    ; )
    ; "F1FEBE2D-D589-4f85-BF8E-650ED06A5EA5" ;;This guid code could change in future versions
    ; v
  ; )
;);defun

;;;=========================================================================================================

;;;===================================AUTO RUN THE SETTINGS PIPES=================================
(SetAeccSharedContentPath "F:\\_CADD\\ACAD_SAVE\\GT PIPE CATALOG\\Pipes Catalog\\Aecc Shared Content")
(SetUSImperialPipes "F:\\_CADD\\ACAD_SAVE\\GT PIPE CATALOG\\Pipes Catalog\\US Imperial Pipes\\US Imperial Pipes.apc")
(SetUSImperialStructures "F:\\_CADD\\ACAD_SAVE\\GT PIPE CATALOG\\Pipes Catalog\\US Imperial Structures\\US Imperial Structures.apc")
;(SetMetricPipes "F:\\_CADD\\ACAD_SAVE\\GT PIPE CATALOG\\Pipes Catalog\\US Imperial Pipes\\US Imperial Pipes.apc")
;(SetMetricStructures "F:\\_CADD\\ACAD_SAVE\\GT PIPE CATALOG\\Pipes Catalog\\US Imperial Structures\\US Imperial Structures.apc")
(princ "\nPipe Catalog is set... \n")
(princ)
;;;=========================================================================================================
Message 18 of 22

I apologize for blowing up the thread.

FYI the routine is not, in fact, working, and results in the same behavior as before with the structures box failing to populate.

 

I'm running it with acad.lsp. The error on startup reads:

 

"Unable to access Pipe or Structure Catalog:
 Please verify configuration.
 Run 'setNetworkCatalog' to reset."

Message 19 of 22

Can you post a screen shot of your catalog folder? For instance this is mine...

 

Capture.PNG



Steve Hill
Civil Designer / .NET Developer
AutoCAD Certified Professional
AutoCAD Civil 3D Certified Professional
http://redtransitconsultants.com/
Autodesk Exchange Store
Twitter | LinkedIn



Please select the Accept this solution button if my post solves your issue or answers your question.

Message 20 of 22

Sure

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Rail Community


 

Autodesk Design & Make Report